# TdApi.ChatEventMemberPromoted (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatEventMemberPromoted

Package it.tdlight.jni

# Class TdApi.ChatEventMemberPromoted

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventMemberPromoted

Enclosing class:
  TdApi

    public static class TdApi.ChatEventMemberPromoted
    extends TdApi.ChatEventAction

A chat member has gained/lost administrator status, or the list of their administrator privileges has changed.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.ChatMemberStatus` | `newStatus` | New status of the chat member.
`TdApi.ChatMemberStatus` | `oldStatus` | Previous status of the chat member.
`long` | `userId` | Affected chat member user identifier.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatEventMemberPromoted()` | A chat member has gained/lost administrator status, or the list of their administrator privileges has changed.
`ChatEventMemberPromoted​(long userId, TdApi.ChatMemberStatus oldStatus, TdApi.ChatMemberStatus newStatus)` | A chat member has gained/lost administrator status, or the list of their administrator privileges has changed.
`ChatEventMemberPromoted​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Affected chat member user identifier.

### oldStatus

public TdApi.ChatMemberStatus oldStatus
Previous status of the chat member.

### newStatus

public TdApi.ChatMemberStatus newStatus
New status of the chat member.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatEventMemberPromoted

public ChatEventMemberPromoted()
A chat member has gained/lost administrator status, or the list of their administrator privileges has changed.

### ChatEventMemberPromoted

public ChatEventMemberPromoted​(long userId, TdApi.ChatMemberStatus oldStatus, TdApi.ChatMemberStatus newStatus)
A chat member has gained/lost administrator status, or the list of their administrator privileges has changed.

Parameters:
  `userId` - long Affected chat member user identifier.
  `oldStatus` - ChatMemberStatus Previous status of the chat member.
  `newStatus` - ChatMemberStatus New status of the chat member.

### ChatEventMemberPromoted

public ChatEventMemberPromoted​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`